Public Types | Public Member Functions

# Gnome::Gda::StatementError Class Reference

Inheritance diagram for Gnome::Gda::StatementError:
[legend]
Collaboration diagram for Gnome::Gda::StatementError:
[legend]

List of all members.

## Public Types
enum | Code { STATEMENT_PARSE_ERROR, STATEMENT_SYNTAX_ERROR, STATEMENT_NO_CNC_ERROR, STATEMENT_CNC_CLOSED_ERROR, STATEMENT_EXEC_ERROR, STATEMENT_PARAM_TYPE_ERROR, STATEMENT_PARAM_ERROR }
## Public Member Functions
| StatementError (Code error_code, const Glib::ustring& error_message)
| StatementError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::StatementError::Code

Enumerator:

  STATEMENT_PARSE_ERROR |
  STATEMENT_SYNTAX_ERROR |
  STATEMENT_NO_CNC_ERROR |
  STATEMENT_CNC_CLOSED_ERROR |
  STATEMENT_EXEC_ERROR |
  STATEMENT_PARAM_TYPE_ERROR |
  STATEMENT_PARAM_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::StatementError::StatementError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::StatementError::StatementError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::StatementError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/statement.h